diff options
author | albertogp <albertogp@uma.es> | 2013-07-23 09:17:27 +0000 |
---|---|---|
committer | albertogp <albertogp@uma.es> | 2013-07-23 09:17:27 +0000 |
commit | dca752d90ce397bbdcd0a0015ef20af72e52f466 (patch) | |
tree | 99ec31cad5da15b44ed51b2ff4f6754cfbf079a5 /repoman/bin | |
parent | f8a70b2b273186066f256d9781e724bec2bdcb94 (diff) |
branches-version1.0
EliminarImagenRepositorio #564
- Corrigiendo error de caracteres extraños en la primera línea
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4016 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'repoman/bin')
-rwxr-xr-x | repoman/bin/deletepreimage | 74 |
1 files changed, 37 insertions, 37 deletions
diff --git a/repoman/bin/deletepreimage b/repoman/bin/deletepreimage index 645b9e1e..0ddd889c 100755 --- a/repoman/bin/deletepreimage +++ b/repoman/bin/deletepreimage @@ -1,37 +1,37 @@ -#!/bin/bash
-# Eliminar las imagenes del repositiro seg�raca de la onsola web .img
-#Version 0.3 Ejecuci�n desde cron cada minuto,o.
-#echo "* * * * * root /opt/opengnsys/bin/image-delete" > /etc/cron.d/imagedelete
-
-# Comprobar si el proceso ya est� en ejecuci�n.on.
-PROG=$(basename $0)
-[ "$(pgrep "$PROG")" != "$$" ] && exit
-
-# Variables.
-OPENGNSYS=${OPENGNSYS:-"/opt/opengnsys"}
-PATH=$PATH:$OPENGNSYS/bin
-OGIMG="$OPENGNSYS/images"
-REPOCFG="$OPENGNSYS/etc/ogAdmRepo.cfg"
-LOGFILE="$OPENGNSYS/log/$PROG.log"
-
-# Error si no est� bien configurado el repositorio de im�genes.nes.
-[ -d $OGIMG -a -f $REPOCFG ] || exit 1
-
-# Procesar ficheros de im�genes.s.
-trap 'echo "`date` : Proceso interrumpido" >> $LOGFILE; exit ' 1 2 3 6 9 15
-
-#TODO en LOCAL: si existe algun fichero *.delete lo movemos al repositorio
-ls /opt/opengnsys/www/tmp/*.delete &>/dev/null || exit
-#[ -f /opt/opengnsys/www/tmp/*.delete ] &&
-mv /opt/opengnsys/www/tmp/*.* /opt/opengnsys/images/
-
-#TODO: iniciar blucle siempre y cuando haya algun delete
-ls /opt/opengnsys/images/*.delete &>/dev/null || exit
-
-for IMG in `ls /opt/opengnsys/images/*.delete`; do
- DELETEIMAGE=$(echo $IMG | awk -F"." '{print $1}' | awk -F"/opt/opengnsys/images/" '{print $2}')
- # Borramos marca .delete para que el proximo cron no trabaje sobre este conjunto.
- [ -f $IMG ] && rm $IMG
- ## se llama al escript de borrado de imagen.
- /opt/opengnsys/bin/deleteimage $DELETEIMAGE
-done
+#!/bin/bash +# Eliminar las imagenes del repositiro seg�raca de la onsola web .img +#Version 0.3 Ejecuci�n desde cron cada minuto,o. +#echo "* * * * * root /opt/opengnsys/bin/image-delete" > /etc/cron.d/imagedelete + +# Comprobar si el proceso ya est� en ejecuci�n.on. +PROG=$(basename $0) +[ "$(pgrep "$PROG")" != "$$" ] && exit + +# Variables. +OPENGNSYS=${OPENGNSYS:-"/opt/opengnsys"} +PATH=$PATH:$OPENGNSYS/bin +OGIMG="$OPENGNSYS/images" +REPOCFG="$OPENGNSYS/etc/ogAdmRepo.cfg" +LOGFILE="$OPENGNSYS/log/$PROG.log" + +# Error si no est� bien configurado el repositorio de im�genes.nes. +[ -d $OGIMG -a -f $REPOCFG ] || exit 1 + +# Procesar ficheros de im�genes.s. +trap 'echo "`date` : Proceso interrumpido" >> $LOGFILE; exit ' 1 2 3 6 9 15 + +#TODO en LOCAL: si existe algun fichero *.delete lo movemos al repositorio +ls /opt/opengnsys/www/tmp/*.delete &>/dev/null || exit +#[ -f /opt/opengnsys/www/tmp/*.delete ] && +mv /opt/opengnsys/www/tmp/*.* /opt/opengnsys/images/ + +#TODO: iniciar blucle siempre y cuando haya algun delete +ls /opt/opengnsys/images/*.delete &>/dev/null || exit + +for IMG in `ls /opt/opengnsys/images/*.delete`; do + DELETEIMAGE=$(echo $IMG | awk -F"." '{print $1}' | awk -F"/opt/opengnsys/images/" '{print $2}') + # Borramos marca .delete para que el proximo cron no trabaje sobre este conjunto. + [ -f $IMG ] && rm $IMG + ## se llama al escript de borrado de imagen. + /opt/opengnsys/bin/deleteimage $DELETEIMAGE +done |